[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Moderator` Component

A simple pulsed source for time-of-flight.

## Identification

- Author: KN, M.Hagen
- Origin: Risoe
- Date: August 1998
- Version: 1.22

## Description

    Produces a simple time-of-flight spectrum, with a flat energy distribution

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
radius | m | Radius of source |
E0 | meV | Lower edge of energy distribution |
E1 | meV | Upper edge of energy distribution |
dist | m | Distance from source to the focusing rectangle |
xw | m | Width of focusing rectangle |
yh | m | Height of focusing rectangle |
t0 | mus | decay constant for low-energy neutrons |
Ec | meV | Critical energy, below which the flux decay is constant |
gam | meV | energy dependence of decay time |

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
p_in |  |  |

## Links

- Source code for `Moderator.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]